The HubSpot Connector will support the following versions of Magento:


Community Edition:

  • 1.4.x
  • 1.5.x
  • 1.6.x 
  • 1.7.x
  • 1.8.x
  • 1.9.x
  • 2.x.x

Enterprise Edition:

  • 1.10.x
  • 1.11.x 
  • 1.12.x 
  • 1.13.x
  • 1.14.x
  • 2.x.x


Magento GO and Magento Professional Edition are NOT supported at this time.